OpenNMS API 1.2.9

## org.opennms.netmgt.filter.parser
Class TokenIndex

    java.lang.Object
      org.opennms.netmgt.filter.analysis.AnalysisAdapter
          org.opennms.netmgt.filter.parser.TokenIndex

All Implemented Interfaces:
  Analysis, Switch

class TokenIndex
extends AnalysisAdapter

Field Summary
`(package private) int` `index`

Fields inherited from class org.opennms.netmgt.filter.analysis.AnalysisAdapter
``

Constructor Summary
`(package private)` `TokenIndex()`

Method Summary
`void` `caseEOF(EOF node)`
`void` `caseTAnd(TAnd node)`
`void` `caseTCompare(TCompare node)`
`void` `caseTDot(TDot node)`
`void` `caseTGtrThan(TGtrThan node)`
`void` `caseTGtrThanEqual(TGtrThanEqual node)`
`void` `caseTIdent(TIdent node)`
`void` `caseTInteger(TInteger node)`
`void` `caseTIplike(TIplike node)`
`void` `caseTLessThan(TLessThan node)`
`void` `caseTLessThanEqual(TLessThanEqual node)`
`void` `caseTLike(TLike node)`
`void` `caseTLparen(TLparen node)`
`void` `caseTNot(TNot node)`
`void` `caseTNotEqual(TNotEqual node)`
`void` `caseTNotident(TNotident node)`
`void` `caseTOctetList(TOctetList node)`
`void` `caseTOctetRange(TOctetRange node)`
`void` `caseTOctetRangeList(TOctetRangeList node)`
`void` `caseTOr(TOr node)`
`void` `caseTQuotedString(TQuotedString node)`
`void` `caseTRparen(TRparen node)`
`void` `caseTSemi(TSemi node)`
`void` `caseTStar(TStar node)`
`void` `caseTTildelike(TTildelike node)`

Methods inherited from class org.opennms.netmgt.filter.analysis.AnalysisAdapter

`caseAAndRule, caseACompareExprPart, caseAExprParensExpr, caseAExprPartExpr, caseAGtrThanEqualExprPart, caseAGtrThanExprPart, caseAIdentExprPart, caseAIntegerCompareRight, caseAIntegerOctet, caseAIpaddrIpIdent, caseAIplikeExprPart, caseALessThanEqualExprPart, caseALessThanExprPart, caseALikeExprPart, caseANotEqualExprPart, caseANotExprPart, caseAOctetListOctet, caseAOctetRangeListOctet, caseAOctetRangeOctet, caseAOrRule, caseARuleExprRule, caseAStarOctet, caseAStringCompareRight, caseATildelikeExprPart, caseStart, caseTBlank, defaultCase, getIn, getOut, setIn, setOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### index

    int index

Constructor Detail

### TokenIndex

    TokenIndex()

Method Detail

### caseTSemi

    public void caseTSemi(TSemi node)

  Specified by:
    `caseTSemi` in interface `Analysis`
  Overrides:
    `caseTSemi` in class `AnalysisAdapter`

### caseTNot

    public void caseTNot(TNot node)

  Specified by:
    `caseTNot` in interface `Analysis`
  Overrides:
    `caseTNot` in class `AnalysisAdapter`

### caseTCompare

    public void caseTCompare(TCompare node)

  Specified by:
    `caseTCompare` in interface `Analysis`
  Overrides:
    `caseTCompare` in class `AnalysisAdapter`

### caseTNotEqual

    public void caseTNotEqual(TNotEqual node)

  Specified by:
    `caseTNotEqual` in interface `Analysis`
  Overrides:
    `caseTNotEqual` in class `AnalysisAdapter`

### caseTGtrThan

    public void caseTGtrThan(TGtrThan node)

  Specified by:
    `caseTGtrThan` in interface `Analysis`
  Overrides:
    `caseTGtrThan` in class `AnalysisAdapter`

### caseTGtrThanEqual

    public void caseTGtrThanEqual(TGtrThanEqual node)

  Specified by:
    `caseTGtrThanEqual` in interface `Analysis`
  Overrides:
    `caseTGtrThanEqual` in class `AnalysisAdapter`

### caseTLessThan

    public void caseTLessThan(TLessThan node)

  Specified by:
    `caseTLessThan` in interface `Analysis`
  Overrides:
    `caseTLessThan` in class `AnalysisAdapter`

### caseTLessThanEqual

    public void caseTLessThanEqual(TLessThanEqual node)

  Specified by:
    `caseTLessThanEqual` in interface `Analysis`
  Overrides:
    `caseTLessThanEqual` in class `AnalysisAdapter`

### caseTAnd

    public void caseTAnd(TAnd node)

  Specified by:
    `caseTAnd` in interface `Analysis`
  Overrides:
    `caseTAnd` in class `AnalysisAdapter`

### caseTOr

    public void caseTOr(TOr node)

  Specified by:
    `caseTOr` in interface `Analysis`
  Overrides:
    `caseTOr` in class `AnalysisAdapter`

### caseTLike

    public void caseTLike(TLike node)

  Specified by:
    `caseTLike` in interface `Analysis`
  Overrides:
    `caseTLike` in class `AnalysisAdapter`

### caseTTildelike

    public void caseTTildelike(TTildelike node)

  Specified by:
    `caseTTildelike` in interface `Analysis`
  Overrides:
    `caseTTildelike` in class `AnalysisAdapter`

### caseTIplike

    public void caseTIplike(TIplike node)

  Specified by:
    `caseTIplike` in interface `Analysis`
  Overrides:
    `caseTIplike` in class `AnalysisAdapter`

### caseTLparen

    public void caseTLparen(TLparen node)

  Specified by:
    `caseTLparen` in interface `Analysis`
  Overrides:
    `caseTLparen` in class `AnalysisAdapter`

### caseTRparen

    public void caseTRparen(TRparen node)

  Specified by:
    `caseTRparen` in interface `Analysis`
  Overrides:
    `caseTRparen` in class `AnalysisAdapter`

### caseTInteger

    public void caseTInteger(TInteger node)

  Specified by:
    `caseTInteger` in interface `Analysis`
  Overrides:
    `caseTInteger` in class `AnalysisAdapter`

### caseTIdent

    public void caseTIdent(TIdent node)

  Specified by:
    `caseTIdent` in interface `Analysis`
  Overrides:
    `caseTIdent` in class `AnalysisAdapter`

### caseTNotident

    public void caseTNotident(TNotident node)

  Specified by:
    `caseTNotident` in interface `Analysis`
  Overrides:
    `caseTNotident` in class `AnalysisAdapter`

### caseTQuotedString

    public void caseTQuotedString(TQuotedString node)

  Specified by:
    `caseTQuotedString` in interface `Analysis`
  Overrides:
    `caseTQuotedString` in class `AnalysisAdapter`

### caseTDot

    public void caseTDot(TDot node)

  Specified by:
    `caseTDot` in interface `Analysis`
  Overrides:
    `caseTDot` in class `AnalysisAdapter`

### caseTStar

    public void caseTStar(TStar node)

  Specified by:
    `caseTStar` in interface `Analysis`
  Overrides:
    `caseTStar` in class `AnalysisAdapter`

### caseTOctetList

    public void caseTOctetList(TOctetList node)

  Specified by:
    `caseTOctetList` in interface `Analysis`
  Overrides:
    `caseTOctetList` in class `AnalysisAdapter`

### caseTOctetRange

    public void caseTOctetRange(TOctetRange node)

  Specified by:
    `caseTOctetRange` in interface `Analysis`
  Overrides:
    `caseTOctetRange` in class `AnalysisAdapter`

### caseTOctetRangeList

    public void caseTOctetRangeList(TOctetRangeList node)

  Specified by:
    `caseTOctetRangeList` in interface `Analysis`
  Overrides:
    `caseTOctetRangeList` in class `AnalysisAdapter`

### caseEOF

    public void caseEOF(EOF node)

  Specified by:
    `caseEOF` in interface `Analysis`
  Overrides:
    `caseEOF` in class `AnalysisAdapter`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.